import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.sql.Types;

import quadbase.reportdesigner.ReportAPI.QbReport;
import quadbase.reportdesigner.ReportViewer.Viewer;
import quadbase.reportdesigner.util.SimpleQueryFileInfo;
import quadbase.reportdesigner.util.SimpleQueryInParam;

public class SwitchToDatabaseParam extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			SwitchToDatabaseParam report = new SwitchToDatabaseParam();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", report.doSwitchToDatabaseParam(frame));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doSwitchToDatabaseParam(this));
	}

	Component doSwitchToDatabaseParam(Object parent) {

		// Do not use EspressManager
		QbReport.setEspressManagerUsed(false);

		// New Database connection and parameter information
		// Parameter information
		SimpleQueryInParam param = new SimpleQueryInParam("catID", "Enter Category", true,
				"Products", "CategoryID", Types.VARCHAR, "ARC", "OVT");

		SimpleQueryInParam[] paramSet = { param };

		// Database information
		SimpleQueryFileInfo newDatabaseInfo = new SimpleQueryFileInfo(
				"jdbc:hsqldb:woodview",
				"org.hsqldb.jdbcDriver",
				"sa",
				"",
				"SELECT Products.ProductName, Products.UnitPrice, Products.StainPrice, Products.UnitsInStock FROM Products WHERE (Products.CategoryID =  :catID)");
		newDatabaseInfo.setInParam(paramSet);

		// Open the template with backup data
		QbReport report = new QbReport(parent, // container 
				"SwitchToDatabaseParam.rpt", // template
				false, false, false, true);

		try {
			// Switch data source
			report.getInputData().setDatabaseInfo(newDatabaseInfo);

			// Refresh report
			report.refresh();
		} catch (Exception ex)
		{
			ex.printStackTrace();

		}

		// Show report in Viewer
		return (new Viewer().getComponent(report));
	}
}
